GNU bug report logs - #15859
24.3.50; Calc - dimensionless units again

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Roland Winkler" <winkler@HIDDEN>; dated Sun, 10 Nov 2013 23:36:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 15859 <at> debbugs.gnu.org:


Received: (at 15859) by debbugs.gnu.org; 6 Sep 2021 09:40:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 06 05:40:57 2021
Received: from localhost ([127.0.0.1]:51922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNB7Z-0002ws-Ks
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 05:40:57 -0400
Received: from quimby.gnus.org ([95.216.78.240]:33990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mNB7X-0002wa-V0
 for 15859 <at> debbugs.gnu.org; Mon, 06 Sep 2021 05:40:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=3lv1a54ye2WcCdp6TSs5R1Msm/Jkok21P07TQ+SDLxE=; b=m0McdG2FQ/XXm8kvVXwNlZg5p2
 CRQ2hHAMgHUGNZyb67wjwZoyXtxQ9kWlBvIpRdTF+vww9cpiQdpS5XJyRgoyMepv0c9/uOVVQKV3Y
 pVVpbQv5w7VGrngUvb6AsWy/GR9tq34VKaowI03HOHCKkGo13EyboB9h3vQsclAC6RVQ=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mNB7P-0008Sc-8I; Mon, 06 Sep 2021 11:40:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#15859: 24.3.50; Calc - dimensionless units again
References: <21120.6201.687671.227593@HIDDEN>
 <873611v306.fsf@HIDDEN> <53639.9921.579963.24507@HIDDEN>
 <87y2ir4lif.fsf@HIDDEN> <87lfeqe37g.fsf@HIDDEN>
Date: Mon, 06 Sep 2021 11:40:46 +0200
In-Reply-To: <87lfeqe37g.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 25
 Nov 2020 00:37:39 +0100")
Message-ID: <87bl56hwip.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: >
 Michael
 Heerdegen <michael_heerdegen@HIDDEN> writes: > >> I'm CC'ing Jay B. who seems
 to have worked on that code 8 years ago. >> Maybe he can hear us? > > Maybe
 the tests whether the user specified [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 15859
Cc: Jay Belanger <jay.p.belanger@HIDDEN>, Roland Winkler <winkler@HIDDEN>,
 15859 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> I'm CC'ing Jay B. who seems to have worked on that code 8 years ago.
>> Maybe he can hear us?
>
> Maybe the tests whether the user specified any units are just too eager
> in this case?  When I comment them out, I can input "1" or an empty
> string two times and u c behaves as you want.

Do you have a proposed patch for this?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15859; Package emacs. Full text available.

Message received at 15859 <at> debbugs.gnu.org:


Received: (at 15859) by debbugs.gnu.org; 24 Nov 2020 23:37:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 18:37:49 2020
Received: from localhost ([127.0.0.1]:33429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khhsb-0006es-Gc
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 18:37:49 -0500
Received: from mout.web.de ([212.227.17.12]:55561)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1khhsa-0006ed-6G
 for 15859 <at> debbugs.gnu.org; Tue, 24 Nov 2020 18:37:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1606261061;
 bh=KsbVRhzEOpDhGzgsqMr54+L9tPx+wTGfGjX71JR7JrE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=LKMVWZtOB5i01aI1H8oM9am+7SrWBzB2C9Nx5nmNjOlJWRZiBXW1PuRxACtwq6aLJ
 7fq/aorC0dO9dSrJ4JVJCDEfqLnGYAklO0Zkw/kZTLmJxNUPd9tTUvy3P6nmPNgW5+
 Dk0ttbqDo1WkqckUQCNok5wgxiz3RxNnBM/lpFGg=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.219.247]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MFrxl-1kRUs60j2F-00H5Iv; Wed, 25
 Nov 2020 00:37:41 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Roland Winkler <winkler@HIDDEN>
Subject: Re: bug#15859: 24.3.50; Calc - dimensionless units again
References: <21120.6201.687671.227593@HIDDEN>
 <873611v306.fsf@HIDDEN> <53639.9921.579963.24507@HIDDEN>
 <87y2ir4lif.fsf@HIDDEN>
Date: Wed, 25 Nov 2020 00:37:39 +0100
In-Reply-To: <87y2ir4lif.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 24
 Nov 2020 02:00:08 +0100")
Message-ID: <87lfeqe37g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:TnbiJjCVJwVpdpVL470zIaRlHeMj4vaCBJ86QjSADn3Q7aSnSyl
 HCEh+iVUwceuD+kY9j9yI+2ykYjJWE4SKGhE3lrlC6yJVLBDuy6vNhl7WIjpRr2pH+yV+JU
 8KTAUgf7RRut2Zx+/K1Shxzd1YjGaEdZqsaF4NHWWjNft6b9dwA65iPOMLFGY2stYbNFGaQ
 jPO7Jmj5xUT7R0c9g/S5g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:kgL16DTB3UQ=:47Brg8ldKV14wVK1Tq6I0o
 gXiBi0Hppce7rbAze9e8bIftFT2rmQYloauqaXijI1btiYjzXez4rrjPUvRL1XQxPQjei2QiF
 mV/aCAg98eXUcEX8UefniG5S3rB3kvzfwqW9r2yUKqEFrxiBzA9xg0D6webrL9JjFD9l3qqyL
 M1NcwLtZIXcHT9rlVt1rMicfJ+gLA47eGS2Ux+/Vrz+l3dSNPsLzpErXY7U1uBLhZavqQzxHS
 HxCkGZ9C+bLvEk1ypgnnwwSAHUpD47+rYGYiY5RkRzPtZ+R9uY52YZ1OBuNqHNgRNdxtNguVL
 Igmm2izrjqIRpZU+wO3poWPDrUa8UljWQbuNaAIn2PgjXsdmeYxtD5JODNYxnLz2GD6AZY6ni
 tmiYzX/8sphcmKbQRtTDN7Oon1psgyFu4ynebH1nMydwavcQoDdXkyYhDGFLcRnhXI9AeX3IY
 CvN01CpTrtZPvb1RMEh+7Q7sykjArtcygVDP/vzfUyy6O+RQrHY3FXANsRw8we10KbV6jVT6g
 3ELhbeLEBUuHuuj2YzEO5dkShsrgAygc2ARvS6SqKT/zNaNtVjO7ZckG7n5MlVpYLObnn1NXe
 tYB9Cn2BOk8D7GsVqSKR70KK5Uf9BgW+yXc9X31BTiuZcRivNw7/5OKi2P5ulRDifHXCvutWc
 b5mKbAvWUCb9WK7eIZ47i9rwHeao/hno/MPUg0rpsTPZTa2/+wpaGIlT6OxiYM85+OX1ItqOt
 yauaiTuuRpBCLIIFxX95gdRSAS/lUyCQPn+ddpkEco8oMNojiN+5a53JX/L7JNQwhzf7Rv8PI
 cXxtx9YnyG48BQYTr+r13uMFDfsSX7PsNq12z2w86WKci76srTSKy7BImoSFLv4MNWAR2yqQG
 5Z6jxlLwW/uTJgfkgfurzp1u9d3yKAh+Sdr1vPQ5U=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15859
Cc: Jay Belanger <jay.p.belanger@HIDDEN>, 15859 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> I'm CC'ing Jay B. who seems to have worked on that code 8 years ago.
> Maybe he can hear us?

Maybe the tests whether the user specified any units are just too eager
in this case?  When I comment them out, I can input "1" or an empty
string two times and u c behaves as you want.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15859; Package emacs. Full text available.

Message received at 15859 <at> debbugs.gnu.org:


Received: (at 15859) by debbugs.gnu.org; 24 Nov 2020 01:00:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 23 20:00:20 2020
Received: from localhost ([127.0.0.1]:51697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khMgu-0005gv-6P
	for submit <at> debbugs.gnu.org; Mon, 23 Nov 2020 20:00:20 -0500
Received: from mout.web.de ([212.227.15.14]:42351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1khMgr-0005gd-1N
 for 15859 <at> debbugs.gnu.org; Mon, 23 Nov 2020 20:00:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1606179610;
 bh=HDup89KbXhfgOd+r0L2C3tLF87MOiafeSWhuhhnIyMA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=qS/yR2exNdnwkBhvlIMGChBT9L+w/gQIRvxfo8sMgYIQcJok/j7HslwCaaev2V/9d
 aOHP8SFiuhuaLtrxxA79iERiXXLSJVuxLRKDipyPdwZ8MdofCEuVLztSfty8rxD+mE
 eVTgZAyRGCwjWXAt5mlWJPwnGCBGEUPaknMvfFAc=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.219.247]) by smtp.web.de (mrweb005
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1MnX5F-1jyicB00m5-00jXF9; Tue, 24
 Nov 2020 02:00:10 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Roland Winkler <winkler@HIDDEN>
Subject: Re: bug#15859: 24.3.50; Calc - dimensionless units again
References: <21120.6201.687671.227593@HIDDEN>
 <873611v306.fsf@HIDDEN> <53639.9921.579963.24507@HIDDEN>
Date: Tue, 24 Nov 2020 02:00:08 +0100
In-Reply-To: <53639.9921.579963.24507@HIDDEN> (Roland Winkler's
 message of "Mon, 23 Nov 2020 09:13:11 -0600")
Message-ID: <87y2ir4lif.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:9nlp3gxIArun10/fwU/FZsx/FMGBQtE0uLRnLvkBVUvS0pqpcpd
 S0OyqYx9kV0D2a6Yt/HOafs10uuqUuFTTlzZKJ00K3vFdT1WmnwNhVNYOfKeEo1Bko4UHFj
 YPM1lDt+AQoX+09oJjoB6SNZ6zvYKWOEtspthkdDDmTwdAROJExJoL837qmhh/FJ5XaSA9v
 5Fk9WhpArz6Q1Lcx1uMkg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:hg02oDzFFVU=:1YSdt8pooU/wUkJmXILMOC
 SRO26ql//4Cj6dulAe2XsT/tG3IgOrRNp1M7x0wE1hAE1ktwQQL3E60ksHVlBHLxnQHoYUcNW
 bkHFWG6UN1L99LaygVUDJRjauS2baXZsu2UFh5+GdpNsid5oU/mHOKbwmWc3fmIRt/5yDQ7DT
 sj4JIa/Kh4OP9fWR/BGHStfPZuqSTsp/YVHHSSaMn8vDeQDTmjEFGnBwMexnkNgPfSEHKnKau
 upZR6RphgtyzIVwFpVy2XDEXEAIQThccjqqK/kC7xVPZVKQhjT86E1JiKQF0+xM6T0PPF0ahG
 ktP75HsdBwblGsJ6ApnHBxq+/K3Lzb/nxicajyJZv5XpPMal+totH9BLUy6RYohcmXM9iPLA2
 YJGMucaxh9DKGwxUUHjV5fpQ/r7ZiSpQsVUviM+0m0XVIRNp7h8cWjnlpbLWwZbyfqy3xGq8f
 G0AvJ++QeDXSDUAkfTXxCH3/U5SHWSPggyR0QcG4LVGTmgoMZQgngQ96+ledwKpO1hBNr8yOd
 6hnVtUGWKQWyiuCmip2bNeoARPW+8bofhnEMe7XtLjptUT5WmKv/aDujzIX45xBjKnc8CpoAY
 xh95cHxBS9O59i7GguFy9wacnryvXpe4BzaC+d9dQ0Cxk2xPFO4OyaoKqfN3MsvBn1y3hB9A2
 hK/yi6Pu0Dh6bsr1fWJ2DwdOBM7mnt3+3A2hZdPIcSBk2SCCKcQuzecKr/f+fozKESazK9DI+
 20VVXisFCBXJ266VznaEAy22mKP2vt8oAymc5JO5g1xmSUw1UJ3tR6Vo7/OBxEj5U5zcfYKSj
 s3BE356ez7z6Xk7gnngrXo18LdL/EswPta2E7YzzkXFl9B4v1Cf0f+cDRoSVNvxWRzyB5aBQ2
 X7zJ2KVYT1KJzBO1E1k0LzYeFLBfmkXDx3wXTvfJ8=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15859
Cc: Jay Belanger <jay.p.belanger@HIDDEN>, 15859 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

"Roland Winkler" <winkler@HIDDEN> writes:

For your recipe that failed to convert 7 m / (c s) to a unitless
expression using u c, if I specify as old units "m 1/s 1/c" and as new
units "1", I get a result with u c, but it is different from the result
I get with u s.  I tried some other combinations of old units
(e.g. skipping 1/c) but that doesn't result in a unitless expression.

I'm CC'ing Jay B. who seems to have worked on that code 8 years ago.
Maybe he can hear us?


Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15859; Package emacs. Full text available.

Message received at 15859 <at> debbugs.gnu.org:


Received: (at 15859) by debbugs.gnu.org; 23 Nov 2020 15:13:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 23 10:13:23 2020
Received: from localhost ([127.0.0.1]:50709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khDWt-0003Ys-GX
	for submit <at> debbugs.gnu.org; Mon, 23 Nov 2020 10:13:23 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1khDWs-0003Ye-2Y
 for 15859 <at> debbugs.gnu.org; Mon, 23 Nov 2020 10:13:22 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45289)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <winkler@HIDDEN>)
 id 1khDWm-00042J-Nn; Mon, 23 Nov 2020 10:13:16 -0500
Received: from [2602:30a:2e52:d720:65b7:1416:12e7:8bfb] (port=33796
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <winkler@HIDDEN>)
 id 1khDWj-0004NF-Ft; Mon, 23 Nov 2020 10:13:14 -0500
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <53639.9921.579963.24507@HIDDEN>
Date: Mon, 23 Nov 2020 09:13:11 -0600
From: "Roland Winkler" <winkler@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#15859: 24.3.50; Calc - dimensionless units again
In-Reply-To: <873611v306.fsf@HIDDEN>
References: <21120.6201.687671.227593@HIDDEN>
 <873611v306.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 15859
Cc: 15859 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Sun Nov 22 2020 Michael Heerdegen wrote:
> "Roland Winkler" <winkler@HIDDEN> writes:
> 
> > Say, the old expression is "7 m / (c s)" and I want to convert this
> > into a physically equal expression.  So I run calc-convert-units,
> > which will ask
> >
> >   (The expression is unitless when simplified) Old Units:
> 
> Yes, I agree that the command doesn't behave in a useful way here.
> 
> u s works for me here and seems to do what you want.

Thanks for confirming that the current behavior is not useful.  Long
ago, before Calc was merged into the GNU Emacs trunk.  Calc was
handling dimensionless units just fine, which is why I consider the
new behavior a bad regression.  Personally, am so annoyed by this
behavior that I run into too often that I have gone back to a
version of calc-units.el from old times before Calc was merged into
the GNU Emacs trunk.  (For myself, none of the changes that were
done since then to calc-units.el are significant or useful.)
I really would like to revert the broken changes in calc-units.el
and bring the relevant pieces of code back to what they used to be.
But I have not yet found the time to come up with a patch for this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15859; Package emacs. Full text available.

Message received at 15859 <at> debbugs.gnu.org:


Received: (at 15859) by debbugs.gnu.org; 22 Nov 2020 15:13:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 22 10:13:23 2020
Received: from localhost ([127.0.0.1]:48049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgr3L-0004r2-E0
	for submit <at> debbugs.gnu.org; Sun, 22 Nov 2020 10:13:23 -0500
Received: from mout.web.de ([212.227.17.11]:57023)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1kgr3J-0004qm-Ac
 for 15859 <at> debbugs.gnu.org; Sun, 22 Nov 2020 10:13:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1606057994;
 bh=U9ITg408M4XyEICWgKryfqNIHlss3MVRBIkzvb/eFcw=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=hcsIlVitpHsQFjn4C5eKkLhvZg6vbFTCMLNbAotDUozGvHHp33I2YnIARxmrxWO7F
 Np4yjoYwh2FUvIqmiwU1S+kIk6jYtpJm6U5D2o72VKsCllYCee5y8nw3sf9hi9Ro8a
 MlXiwFHPJovaoyQWXkNTDfwgJcerocrUgn8fFc4Q=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.219.247]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MC1fA-1kY5co2lEG-008oHY; Sun, 22
 Nov 2020 16:13:14 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Roland Winkler <winkler@HIDDEN>
Subject: Re: bug#15859: 24.3.50; Calc - dimensionless units again
References: <21120.6201.687671.227593@HIDDEN>
Date: Sun, 22 Nov 2020 16:13:13 +0100
In-Reply-To: <21120.6201.687671.227593@HIDDEN> (Roland Winkler's
 message of "Sun, 10 Nov 2013 17:35:21 -0600")
Message-ID: <873611v306.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:iNXJ5yAEOWjQiM8v9QX5/h0jcuyoCIH4aq9FTYNZgfp2+4GrLqB
 pLV1rhDMYxVuowq6txto6H2+ZwlR++sdwdiOFxxT9SwgyNXXVd3Vqlp0QHWLjsKn6EREqDb
 j9MLs5O62Q1M9osDk+AoiNsKP0sGyc65DV/ocNI1D8qYAItwvM6+agRzDJbu9Y3urzJBS6G
 JhgRTqyrqTsOW38xnHMdA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:EwLVPvshjPI=:SkyhIQxP7iNTNIXEQWk8Bt
 EwmHC2GAjMF9De2UuPwMAK9d/ehhDz7x3DJ6MAbga6QnyJnAa62gXAmbBFHddS51JjeNtNdIj
 rDbiQLWWeJL3Mawry8DCA3qtmFtC5cTbMecwfK6+LInr4YNiGgM9KPW4Y9ICrOYsUegrtTNFg
 B0AZhS2mZLeKtfRV+9HbzrvC6hEkDd2BFSqh2uo2o1wU8sKZKypMpycRpwOrs5oZ7TrSaAMPE
 +2ua8lmYZ39qJA0F5YmSybfwL8/Mnda+9fflsHf6UH4GHyHQOy1MORrhxn3A80+UYZridBK9V
 llG5z1Pm63ntvUanbaD7PA70usANms6oCbocvQMCBAzVReRjPCob4kKcpOLkjRdJs28CcamP6
 so4BD2j86skBovACK2cjNLNFOcGvDqWpAOXO23b76cKhJ3CEA63RsUw3/mz007G7EU2mrNwy8
 l4eVTl2RHnddioEE8etsbhifqdH/oEkq/1MQtI6pVL44mmBvEYYn7W+xlFmfKEOIqjFg0OScJ
 IVLEgH8efSR2F+JFjBX7RuABDlnGnJCmKlpKJF3wHBRsGDdBY309rnv1Rh7z+9l4FjixJbpLP
 GlNTmgC3yeNNJbyOZCW16dqRVHbj5fnRAXEADgSm+vJfiWtZLSTG4SyvsH0Ovcrmy0OooooOc
 u37yCW9XXO823EAIlT7pjsNaVHHhmxjByFwaby/izs2fruQBN8Zn3sOt6ecUANmMlOY8UGHTu
 jnxg9ALzy+9DwcITC/Ld+XYoz3v7LUI3C4by3SICOT58wPF/lKIo8Uu9aRrtPhNh6hXu0gD5X
 qym7jAFVLM3/+eYVFDqZlgAGHyjmCkKnUwiLrLZogK56p3PV1GgrJePcJ+3R22z7R5MhSaKe3
 Y02rCNEO2uVRn3sR6+RmY9uOBjsetbx+V3n8sB6+o=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15859
Cc: 15859 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

"Roland Winkler" <winkler@HIDDEN> writes:

> Say, the old expression is "7 m / (c s)" and I want to convert this
> into a physically equal expression.  So I run calc-convert-units,
> which will ask
>
>   (The expression is unitless when simplified) Old Units:

Yes, I agree that the command doesn't behave in a useful way here.

u s works for me here and seems to do what you want.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15859; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Nov 2013 23:35:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 18:35:59 2013
Received: from localhost ([127.0.0.1]:46024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VfeXv-0002ky-06
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2013 18:35:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33774)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <winkler@HIDDEN>) id 1VfeXt-0002kk-4W
 for submit <at> debbugs.gnu.org; Sun, 10 Nov 2013 18:35:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <winkler@HIDDEN>) id 1VfeXh-00039v-UA
 for submit <at> debbugs.gnu.org; Sun, 10 Nov 2013 18:35:51 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38579)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>) id 1VfeXh-00039r-JZ
 for submit <at> debbugs.gnu.org; Sun, 10 Nov 2013 18:35:45 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35489)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>) id 1VfeXb-0000nL-Mm
 for bug-gnu-emacs@HIDDEN; Sun, 10 Nov 2013 18:35:45 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <winkler@HIDDEN>) id 1VfeXV-00038U-OP
 for bug-gnu-emacs@HIDDEN; Sun, 10 Nov 2013 18:35:39 -0500
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49453)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>) id 1VfeXV-00038Q-9S
 for bug-gnu-emacs@HIDDEN; Sun, 10 Nov 2013 18:35:33 -0500
Received: from 162-229-45-114.lightspeed.cicril.sbcglobal.net
 ([162.229.45.114]:36145 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <winkler@HIDDEN>) id 1VfeXU-000074-Tv
 for bug-gnu-emacs@HIDDEN; Sun, 10 Nov 2013 18:35:33 -0500
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <21120.6201.687671.227593@HIDDEN>
Date: Sun, 10 Nov 2013 17:35:21 -0600
From: "Roland Winkler" <winkler@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; Calc - dimensionless units again
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


I thought that the new (though undocumented) variable
calc-allow-units-as-numbers allowed to perform unit conversions
involving dimensionless units. Yet I am still having trouble with
this.  (For the following I have used the default
calc-allow-units-as-numbers bound to t, assuming that this is what I
need.)

Say, the old expression is "7 m / (c s)" and I want to convert this
into a physically equal expression.  So I run calc-convert-units,
which will ask

  (The expression is unitless when simplified) Old Units: 

With calc-allow-units-as-numbers non-nil, I think calc-convert-units
should not ask this question, or there should be some other way to
customize calc-convert-units to skip this question.  Anyway, I enter
an empty string, because I do not know what else would be meaningful
here. [m/(c s) is equal to 3.33e-9, this cannot be required if I
just want to convert "7 m / (c s)" into something equal to this
expression.]

Now for the new unit:

(1) If I want to convert "7 m / (c s)" to a plain number, I enter "1",
    but then Calc throws an error "No units specified".
    The correct result would be 2.33e-8.

(2) If one wants to convert to the new unit "in / (c hr)" the result
    returned by calc-convert-units is 2.33e-8, that is, the plain
    number which would have been the correct result for (1).
    The new unit "in / (c hr)" is ignored by calc-convert-units.
    The correct result would be "992125.98 in / (c hr)".

Both examples assume that it should be possible to make a unit
conversion where the old expression on the stack is physically equal
to the new expression.  I think this assumption is reasonable.




In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
 of 2013-11-10 on regnitz
Bzr revision: 115054 jan.h.d@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
System Description:	Ubuntu 12.04.3 LTS




Acknowledgement sent to "Roland Winkler" <winkler@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#15859; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 6 Sep 2021 09:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.